LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 05-05-2010, 11:06 PM   #1
Ubunoob001
Member
 
Registered: Feb 2010
Location: New Orleans, LA
Distribution: Mint 16 RC, Elementary OS Luna, Crunchbang
Posts: 166

Rep: Reputation: 16
Smile Do "Stable but outdated software packages" really matter ? Can't they be updated??


Hi all! I am currently running Ubuntu 10.04/Vista. While it is nice that everything runs "out of the box" I get the feeling that things aren't quite as stable as my vision/fantasy of Linux is. So, in reading ive noticed alot of references to Debian/Slackware/CenOS etc that mention stability but "outdated software packages''.

Question: What does this mean? Cannot each package be updated as per the users needs? Ex. Suppose Slackware or Debian comes with software X, version 2. Is it not possible, if Ubuntu has version 3, so simply update to v.3? Anyway any explanation for a newbie would be appreciated.
 
Old 05-05-2010, 11:18 PM   #2
jefro
Guru
 
Registered: Mar 2008
Posts: 12,078

Rep: Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520Reputation: 1520
I'm not sure any x86 box or os could be stable. Finding which is at fault is an impossible task sometimes.

There are many reasons for updates. Bugs, hardware, security, software and many more reasons. It takes many people on each distro usually to port versions to each distro. Each software x or y usually has release notes that explain why and maybe how it was updated. You would need to look at each package to know.

Not sure there is a good solution to the whole mess. I tend to stick with the newest only for security issues.
 
Old 05-06-2010, 01:57 AM   #3
mark_alfred
Senior Member
 
Registered: Jul 2003
Location: Toronto, Ontario, Canada
Distribution: Ubuntu Linux
Posts: 1,073

Rep: Reputation: 103Reputation: 103
Quote:
Originally Posted by Ubunoob001 View Post
Question: What does this mean? Cannot each package be updated as per the users needs?
Within Debian, usually a newer package from the unstable source repository can be ported to stable by an interested user. Some larger more difficult programs are backported from unstable or testing to stable at the backports repository (http://www.backports.org). Programs can also be installed by source, but then will not be part of the package management system.

While not advised, some packages can be installed from mixed sources (IE, from both Debian stable and Debian unstable) that are maintained simultaneously. This generally involves setting up a preferences file. Mixing packages from other distributions, however, should never be done (IE, installing Ubuntu packages onto a Debian distribution). It would be better to simply install Debian unstable.

Last edited by mark_alfred; 05-06-2010 at 01:58 AM.
 
1 members found this post helpful.
Old 05-06-2010, 03:59 AM   #4
evo2
Guru
 
Registered: Jan 2009
Location: Japan
Distribution: Mostly Debian and Scientific Linux
Posts: 5,590

Rep: Reputation: 1227Reputation: 1227Reputation: 1227Reputation: 1227Reputation: 1227Reputation: 1227Reputation: 1227Reputation: 1227Reputation: 1227
By updating packages to newer, less tested versions you are likely to loose the stability. The choice is yours.

Evo2.
 
Old 05-06-2010, 04:40 AM   #5
Absent Minded
Member
 
Registered: Nov 2007
Location: Washington State U.S.A.
Distribution: Debian testing
Posts: 74

Rep: Reputation: 21
Each relaese of Debian is "fairly" up-to-date when it is released. However, Debian had a rather long lifecycle compared to other distros and packages are pretty dated by the next release cycle. This can be both good and bad. The majority of the software is still just as usable as the up-to-date upstream code. However I have had things like instant messangers quit working to connect to certian services (AOL, MSN, Yahoo inparticular).

Debian does maintain security updates for several years after each stable release. So security is not really a realistic issue.

Also, as mentioned in an earlier post: you can always use updates from backports.org AND, of course you are always welcome to compile an up-to-date version from source.
 
Old 05-06-2010, 09:26 AM   #6
Ubunoob001
Member
 
Registered: Feb 2010
Location: New Orleans, LA
Distribution: Mint 16 RC, Elementary OS Luna, Crunchbang
Posts: 166

Original Poster
Rep: Reputation: 16
Smile "outdated software"/software distro-specific?/ tar.gz

Quote:
Originally Posted by Absent Minded View Post
... The majority of the software is still just as usable as the up-to-date upstream code. However I have had things like instant messangers quit working to connect to certian services (AOL, MSN, Yahoo inparticular).

Debian does maintain security updates for several years after each stable release. So security is not really a realistic issue...
Thanks for the responses guys.

Absent, I suppose that was my question: is "outdated" software usable(?). If aesthetics don't really matter to me.

Question : Lets suppose however that some program I like is in the Debian repositories, however then there is an updated tar.gz file (again im new so forgive any misconceptions) at that software developers website, can I not simply go about it this way? Thereby getting an updated version, or (usually) does it need to be distro-specific?
 
Old 05-06-2010, 10:10 AM   #7
mark_alfred
Senior Member
 
Registered: Jul 2003
Location: Toronto, Ontario, Canada
Distribution: Ubuntu Linux
Posts: 1,073

Rep: Reputation: 103Reputation: 103
Quote:
Originally Posted by Ubunoob001 View Post
Question : Lets suppose however that some program I like is in the Debian repositories, however then there is an updated tar.gz file (again im new so forgive any misconceptions) at that software developers website, can I not simply go about it this way? Thereby getting an updated version, or (usually) does it need to be distro-specific?
As I said earlier:
Quote:
Originally Posted by mark_alfred View Post
Programs can also be installed by source, but then will not be part of the package management system.
 
Old 05-06-2010, 10:30 AM   #8
the trooper
Senior Member
 
Registered: Jun 2006
Location: England
Distribution: Debian Testing/Unstable Amd64
Posts: 1,476

Rep: Reputation: Disabled
I think you are missing the point with Debian.
If you intend on using the Stable branch you have to accept the package versions installed by default are not the most up-to date.
The idea being that this selection of packages work together as stable as is possible.
There will generally not be updated versions of packages for the Stable branch.
There has been exceptions to this,the 'Etchnhalf' updates for example
Debian go to great lengths to ensure the Stable branch is just that,as stable as possible.
You can as previously stated use the Backports repository,or backport a package yourself or compile from source.
But once you start adding packages from outside the Debian repositories you no longer have a Stable release and have to accept the ramifications of this decision.
If you want stability with more recent packages i'd suggest looking at the Testing branch instead.
Just my 0.02
 
1 members found this post helpful.
Old 05-07-2010, 02:38 AM   #9
Absent Minded
Member
 
Registered: Nov 2007
Location: Washington State U.S.A.
Distribution: Debian testing
Posts: 74

Rep: Reputation: 21
Quote:
Originally Posted by Ubunoob001 View Post
Thanks for the responses guys.

Absent, I suppose that was my question: is "outdated" software usable(?). If aesthetics don't really matter to me.

Question : Lets suppose however that some program I like is in the Debian repositories, however then there is an updated tar.gz file (again im new so forgive any misconceptions) at that software developers website, can I not simply go about it this way? Thereby getting an updated version, or (usually) does it need to be distro-specific?
If you are retriving pure sourcecode from a devlopers site then that code will likely need to be "Debianized" before installing it. If however there is a binary already built for Debian on the site things "should" go pretty smooth. I need to inject here though that installing a binary package from the maintainer "may" later leave your ability to upgrade to the next release of Debian somewhat maimed. I also want to stress here that installing a package meant for another distro like Ubuntu is also asking (or should I say begging) for problems.

I usually run the testing branch on my regular workstation and only stable on my servers. However, the testing and unstable branches are really only designed for Debian's advanced users to test for the next stable release. Anyway, getting back to what I was going to say... This release cycle I have chose to stick with stable on my workstation. Lenny (the current stable), has been everything I have needed throughout its' bid as stable. Squeeze (Debian's next stable release) should be availible with in the next few months. I am however concidering continuing to use Lenny on my systems for a while longer though as the requirements for running KDE4.x are conciderably higher than KDE3.5 (which I continue to use with out any trouble or fuss). So to wrap things up, No, I don't think that being behind the latest releases hurt anything. Generally where people run into trouble is 1) mixing testing or unstable packages with stable. 2) adding packages designed for other distros (such as Ubuntu). 3) not paying attention or failing to ask questions.

I have only been using Debian for about 6 years though so if my advice is overshadowed by someone elses time using Debian I would carefully concider the differances of the 2 opinions.
 
Old 05-07-2010, 03:59 AM   #10
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Servers: Debian Squeeze and Wheezy. Desktop: Slackware64 14.0. Netbook: Slackware 13.37
Posts: 8,563
Blog Entries: 29

Rep: Reputation: 1179Reputation: 1179Reputation: 1179Reputation: 1179Reputation: 1179Reputation: 1179Reputation: 1179Reputation: 1179Reputation: 1179
Quote:
Originally Posted by Ubunoob001 View Post
Hi all! I am currently running Ubuntu 10.04/Vista. While it is nice that everything runs "out of the box" I get the feeling that things aren't quite as stable as my vision/fantasy of Linux is. So, in reading ive noticed alot of references to Debian/Slackware/CenOS etc that mention stability but "outdated software packages''.

Question: What does this mean? Cannot each package be updated as per the users needs? Ex. Suppose Slackware or Debian comes with software X, version 2. Is it not possible, if Ubuntu has version 3, so simply update to v.3? Anyway any explanation for a newbie would be appreciated.
As long as software X is not tightly integrated into the systems then yes, you are right, you can download, build and install the latest version (probably later than ubuntu's!) but there are caveats. Some generic software:
  • requires other software (pre-requisite software or a particular version)
  • does not build properly (needs fixes)
  • does not integrate well (installs in non-standard directories ...)
If you choose to install such a software you will spend time installing the pre-requisites (which may have their own pre-requisites), netsearching for fixes, customising the build to standardise the installation.

If you are lucky, the generic software you have chosen will build and install without any of these issues.

In the case of Slackware, it comes with few end-user applications; it is Linux (the kernel), "standard" utilities including system administration, development tools and desktop(s) including such-end-user applications as are packaged with the desktop (many with KDE, few with Xfce). That is necessarily an over-simplification but does give the flavour.

Slackware sets out to be simple, standard and stable. Because it is so standard, it is a good base to install generic software on. The user community has prepared many softwares for building and installing on Slackware, most prominently and reliably at SlackBuilds. Many of these are for recent versions. The SlackBuild page details any pre-requisites, provides a link to the appropriate generic download and a link to an archive file containing the SlackBuild itself -- documentation, fixes as required and a script to build and install the generic software to suit Slackware.

The end result is that Slackware can give you a very stable system with relatively current software (as opposed to "outdated software packages") at the cost of more work than installing pre-built packages as you can for ubuntu or Debian.

Last edited by catkin; 05-07-2010 at 04:01 AM.
 
1 members found this post helpful.
Old 07-05-2010, 01:08 PM   #11
Ubunoob001
Member
 
Registered: Feb 2010
Location: New Orleans, LA
Distribution: Mint 16 RC, Elementary OS Luna, Crunchbang
Posts: 166

Original Poster
Rep: Reputation: 16
Smile

Quote:
Originally Posted by catkin View Post
As long as software X is not tightly integrated into the systems then yes, you are right, you can download, build and install the latest version (probably later than ubuntu's!) but there are caveats. Some generic software:
  • requires other software (pre-requisite software or a particular version)
  • does not build properly (needs fixes)
  • does not integrate well (installs in non-standard directories ...)
If you choose to install such a software you will spend time installing the pre-requisites (which may have their own pre-requisites), netsearching for fixes, customising the build to standardise the installation.

If you are lucky, the generic software you have chosen will build and install without any of these issues.

In the case of Slackware, it comes with few end-user applications; it is Linux (the kernel), "standard" utilities including system administration, development tools and desktop(s) including such-end-user applications as are packaged with the desktop (many with KDE, few with Xfce). That is necessarily an over-simplification but does give the flavour.

Slackware sets out to be simple, standard and stable. Because it is so standard, it is a good base to install generic software on. The user community has prepared many softwares for building and installing on Slackware, most prominently and reliably at SlackBuilds. Many of these are for recent versions. The SlackBuild page details any pre-requisites, provides a link to the appropriate generic download and a link to an archive file containing the SlackBuild itself -- documentation, fixes as required and a script to build and install the generic software to suit Slackware.

The end result is that Slackware can give you a very stable system with relatively current software (as opposed to "outdated software packages") at the cost of more work than installing pre-built packages as you can for ubuntu or Debian.
Catkin, I really thank you (and you other guys too!). Your answer really helped me understand more about my own question and about the answer to it. Thanks!
 
  


Reply

Tags
packages, software, stability


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Do i need "RPM Packages" or "SuSe Source code packages" Donati Linux - Software 3 03-19-2009 08:32 PM
Is K&R's "The C Programming Language" outdated? frankie_DJ Programming 3 09-21-2006 08:39 AM
Alioth KDE repositories "outdated?" RodWC Debian 1 01-24-2006 12:25 PM
Is software "locked" in a stable distro release? ColKurtz Linux - Newbie 2 02-14-2005 11:54 PM
Installing KDE3.1.3 on stable system using the "stable" mirror at download.kde.org preben Debian 8 08-28-2003 08:02 AM


All times are GMT -5. The time now is 05:31 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration